Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config.xml
Class RemotingDestinationBeanDefinitionDecorator

    java.lang.Object
      org.springframework.flex.config.xml.RemotingDestinationBeanDefinitionDecorator

All Implemented Interfaces:
  BeanDefinitionDecorator

    public class RemotingDestinationBeanDefinitionDecorator

extends Object
implements BeanDefinitionDecorator

Configures a `RemotingDestinationExporter` from a nested `remote-service` tag.

Author:
  Jeremy Grelle

Field Summary
`protected static String` | `REF_ATTR`
`protected static String` | `REMOTING_DESTINATION_EXPORTER_CLASS_NAME`

Constructor Summary
`RemotingDestinationBeanDefinitionDecorator()`

Method Summary
`BeanDefinitionHolder` | `decorate(Node node, BeanDefinitionHolder definition, ParserContext parserContext)`
`protected BeanDefinitionHolder` | `parseInternal(Element element, ParserContext parserContext, String exportedBeanReference)` The main parsing algorithm for the `remoting-destination` tag.
`protected void` | `validateRemotingDestination(Element element, ParserContext parserContext)` Hook for subclasses to perform contextual validation on the element being parsed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REMOTING_DESTINATION_EXPORTER_CLASS_NAME

    protected static final String REMOTING_DESTINATION_EXPORTER_CLASS_NAME

See Also:
  Constant Field Values

### REF_ATTR

    protected static final String REF_ATTR

See Also:
  Constant Field Values

Constructor Detail

### RemotingDestinationBeanDefinitionDecorator

    public RemotingDestinationBeanDefinitionDecorator()

Method Detail

### decorate

    public BeanDefinitionHolder decorate(Node node,
                                         BeanDefinitionHolder definition,
                                         ParserContext parserContext)

  Specified by:
    `decorate` in interface `BeanDefinitionDecorator`

### validateRemotingDestination

    protected void validateRemotingDestination(Element element,
                                               ParserContext parserContext)

  Hook for subclasses to perform contextual validation on the element being parsed.

  Parameters:
    `element` - the element being parsed
    `parserContext` - the current parser context

### parseInternal

    protected BeanDefinitionHolder parseInternal(Element element,
                                                 ParserContext parserContext,
                                                 String exportedBeanReference)

  The main parsing algorithm for the `remoting-destination` tag.

  Parameters:
    `element` - the element being parsed
    `parserContext` - the current parser context
    `exportedBeanReference` - reference to the bean being exported as a remoting destination
  Returns:
    a bean definition holder for the `RemotingDestinationExporter` bean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.